### Hierarchy

- Transaction

## Index

### Constructors

- constructor

### Properties

- transactionResult

### Methods

- getFee
- getSignedTransaction
- getTxHash
- recover
- serialize
- sign
- unserialize

## Constructors

### constructor

- new Transaction(txResult: TransactionResult): Transaction

- - Defined in cs/transaction/index.ts:22

  #### Parameters

  - ##### txResult: TransactionResult

  #### Returns Transaction

## Properties

### transactionResult

transactionResult: TransactionResult

- Defined in cs/transaction/index.ts:22

## Methods

### getFee

- getFee(): string

- - Defined in cs/transaction/index.ts:100

  #### Returns string

### getSignedTransaction

- getSignedTransaction(): SignedTransactionResult

- - Defined in cs/transaction/index.ts:77

  Return signed transaction

  #### Returns SignedTransactionResult

### getTxHash

- getTxHash(): string

- - Defined in cs/transaction/index.ts:70

  #### Returns string

### recover

- recover(): string

- - Defined in cs/transaction/index.ts:86

  #### Returns string

### serialize

- serialize(): string

- - Defined in cs/transaction/index.ts:66

  Serialize raw transaction object to rlp transaction

  #### Returns string

### sign

- sign(privateKey: string, chainId?: string): void

- - Defined in cs/transaction/index.ts:43

  Sign this transaction

  #### Parameters

  - ##### privateKey: string

  - ##### Optional chainId: string

  #### Returns void

### Static unserialize

- unserialize(raw: string): Transaction

- - Defined in cs/transaction/index.ts:16

  Unserialize rlp raw transaction to raw transaction object

  #### Parameters

  - ##### raw: string

  #### Returns Transaction

Generated using TypeDoc